import { Body, Controller, Del, Get, Inject, Param, Post,  Query } from '@midwayjs/core';
import { ElasticsearchService } from '../service/elasticsearch';

@Controller('/es')
export class ESController {
  @Inject()
  esService: ElasticsearchService;

  @Post('/async')
  async asyncData() {
    await this.esService.asyncData();
    return 'ok';
  }

  @Get('/')
  async search(@Query() query: any) {
    query.build_time = ['2023-01-01', '2024-01-01']
    const result = await this.esService.search(query);
    return result;
  }

  @Post('/')
  async create(@Body() data: any) {
    const result = await this.esService.create(data);
    return 'created';
  }

  @Post('/:id')
  async update(@Param('id') id: string, @Body() data: any) {
    const result = await this.esService.update(id, data);
    console.log(id);
    console.log(data);
    return 'update';
  }

  @Del('/:id')
  async delete(@Param('id') id: string) {
    const result = await this.esService.delete(id);
    console.log(id);
    return 'delete';
  }
}
