import { Controller, Inject, Post } from '@midwayjs/decorator';
import { Context } from '@midwayjs/koa';
import { InitService } from '../service/init.service';
@Controller('/init')
export class InitController {
  @Inject()
  ctx: Context;

  @Inject()
  service: InitService;

  @Post('/', { description: 'ignore' })
  async index() {
    await this.service.adminUser();
    // 未初始化,则执行初始化程序
    await this.service.initDict();
    await this.service.initRole();
    await this.service.initMenus();
    return 'ok';
  }
}
