import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'basic' },
})
export class Basic extends BaseModel {
  @prop({ required: false, index: true, zh: '实验室类别', remark: '字典:laboratory_type' })
  type: string;
  @prop({ required: false, index: true, zh: '实验室名称' })
  name: string;
  @prop({ required: false, index: false, zh: '英文名称' })
  english_name: string;
  @prop({ required: false, index: false, zh: '所属学科' })
  subject: string;
  @prop({ required: false, index: false, zh: '所属专业' })
  major: string;
  @prop({ required: false, index: false, zh: '实验室面积' })
  lab_acreage: string;
  @prop({ required: false, index: false, zh: '批建时间' })
  build_time: string;
  @prop({ required: false, index: false, zh: '实验室地址' })
  lab_address: string;
  @prop({ required: false, index: false, zh: '依托单位id', remark: 'unit_name不需要了,现在所有的实验室都有依托单位' })
  unit: string;
  @prop({ required: false, index: false, zh: '实验室定位' })
  position: string;
  @prop({ required: false, index: false, zh: '实验室建设方案' })
  plan: Array<any>;
  @prop({ required: false, index: false, zh: '实验室主任' })
  chief_name: string;
  @prop({ required: false, index: false, zh: '实验室联系人' })
  lab_person: string;
  @prop({ required: false, index: false, zh: '实验室联系人电话' })
  lab_phone: string;
  @prop({ required: false, index: false, zh: '电子邮箱' })
  lab_email: string;
  @prop({ required: false, index: false, zh: '申报单位' })
  declare_unit: object;
  @prop({ required: false, index: false, zh: '平台负责人' })
  leading_cadre: object;
  @prop({ required: false, index: false, zh: '科研助理' })
  assistant: object;
  @prop({ required: false, index: false, zh: '财务助理是否与科研助理同一人' })
  is_alike: boolean;
  @prop({ required: false, index: false, zh: '财务助理' })
  finance: object;
  @prop({ required: false, index: false, zh: '所属吉林省重点实验室' })
  ss_laboratory: string;
  @prop({ required: false, index: false, zh: '整合基础' })
  zh_basis: string;
  @prop({ required: false, index: false, zh: '是否公开', remark: '字典:info_show' })
  is_show: string;
  @prop({ required: false, index: false, zh: '地区' })
  region: string;
  @prop({ required: false, index: true, zh: '状态', default: '2' })
  status: string;
  @prop({ required: false, index: false, zh: '主任入驻记录' })
  chief_logs: Array<any>;
  @prop({ required: false, index: false, zh: '发展前景' })
  develop: string;
  @prop({ required: false, index: false, zh: '运行机制' })
  mechanism: string;
  @prop({ required: false, index: false, zh: '运行机制文件' })
  mechanism_file: Array<any>;
}
