import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'dataRecord' },
})
export class DataRecord extends BaseModel {
  @prop({ required: false, index: false, zh: '操作人' })
  operator: object;
  @prop({ required: false, index: false, zh: 'ip地址' })
  ip: string;
  @prop({ required: false, index: false, zh: '时间' })
  time: string;
  @prop({ required: false, index: false, zh: '对象', remark: 'controller' })
  controller: string;
  @prop({ required: false, index: false, zh: '函数', remark: '函数名,记录code.i18n兑换用' })
  method: string;
  @prop({ required: false, index: false, zh: '原数据', remark: '多个表关联性处理时需要先将修改的数据都查出来,key:表名;value:数组(本表修改的数据都放里面)' })
  origin_data: object;
  @prop({ required: false, index: false, zh: '新数据' })
  new_data: object;
  @prop({ required: false, index: false, zh: '页面路由' })
  router: string;
  @prop({ required: false, index: false, zh: '设备' })
  device: string;
  @prop({ required: false, index: false, zh: '状态', remark: '0:成功;-1失败' })
  status: string;
}
