import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Config } from '../../entity/system/config.entity';
type modelType = ReturnModelType<typeof Config>;
@Provide()
export class ConfigService extends BaseService<modelType> {
  @InjectEntityModel(Config)
  model: modelType;
  // 只允许有一个config
  async getConfig() {
    let data = await this.model.findOne({}).lean();
    if (!data) data = await this.model.create({ b_time: ['06:30', '08:00'], l_time: ['11:30', '13:00'], d_time: ['17:30', '18:30'] });
    return data;
  }
}
